# spacepy.ae9ap9.readFile

`spacepy.ae9ap9.``readFile`(fname, comments='#')

  read a model generated file into a datamodel.SpaceData object

  Parameters
    fname str

      filename of the file

  Returns
    out `SpaceData`

      Data contained in the file

  Other Parameters
    comments str (optional)

      String that is the comments in the data file

  Examples

      >>> from spacepy import ae9ap9
      >>> ae9ap9.readFile('ephem_sat.dat').tree(verbose=1)
      +
      |____Epoch (spacepy.datamodel.dmarray (121,))
      |____Coords (spacepy.datamodel.dmarray (121, 3))
      |____MJD (spacepy.datamodel.dmarray (121,))
      |____posComp (spacepy.datamodel.dmarray (3,))